//////////////////////////////////////////////
// Asteroid interface implementation.
//
// Version: 031011_01
/////////////////////////////////////////////

#include "asteroid.h"

Asteroid::Asteroid()
{
	 mbAlive = true;
	 mfSpeed = rand()%15 - 5; //default movement speed
	 miRandomPos = rand()%25 - 1;
}

Asteroid::~Asteroid()
{
	//implement me
}

void Asteroid::Draw(float x, float y, float angle)
{
	glPushMatrix();
	  glTranslatef(x, y, 0.0);
	  glRotatef(angle, 0.0, 0.0, 1.0f);

	  glColor3f(1.0f, 1.0f, 1.0f);
	  glBegin(GL_LINE_LOOP);
		  glVertex2f(-1.0f,0.0f);
		  glVertex2f(-0.71f, 0.71f);
		  glVertex2f(0.0f,1.0f);
		  glVertex2f(0.71f, 0.71f);
		  glVertex2f(1.0f,0.0f);
		  glVertex2f(0.71f,-0.71f);
		  glVertex2f(0.0f,-1.0f);
		  glVertex2f(-0.71f,-0.71f);
	  glEnd();

	glPopMatrix();
}
