//////////////////////////////////////////////
// Player ship interface implementation.
//
// Version: 031011_01
/////////////////////////////////////////////

#include "ship.h"

using namespace std;

Ship::Ship()
{
	mbAlive = true;
}

Ship::~Ship()
{
	//implement me...
}

void Ship::DrawShip(float x, float y, float angle, bool thrust)
{
	//cout << "Drawing ship" << endl;

  glPushMatrix();
	  glTranslatef(x, y, 0.0);
	  glRotatef(angle, 0.0, 0.0, 1.0f);
	  if (thrust) 
	  {
		glColor3f(1.0, 0.0, 0.0);
		glBegin(GL_LINE_STRIP);
			glVertex2f(-0.75f, -0.5f);
			glVertex2f(-1.75f, 0);
			glVertex2f(-0.75f, 0.5f);
		glEnd();
	  }
	  glColor3f(1.0f, 1.0f, 1.0f);
	  glBegin(GL_LINE_LOOP);
		  glVertex2f(2.0f, 0.0);
		  glVertex2f(-1.0f, -1.0f);
		  glVertex2f(-0.5f, 0.0);
		  glVertex2f(-1.0f, 1.0f);
		  glVertex2f(2.0f, 0.0);
	  glEnd();
  glPopMatrix();
}

void Ship::UpdateShip(int gameTime)
{
	//implement me if needed
}